Bug 979919 - Win 2008 standard Bsod every day
Win 2008 standard Bsod every day
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.6
x86_64 Windows
unspecified Severity high
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 03:22 EDT by Razmik
Modified: 2013-07-29 06:13 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 06:13:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is a Dump Files (62.89 KB, application/x-rar)
2013-07-01 03:22 EDT, Razmik
no flags Details

  None (edit)
Description Razmik 2013-07-01 03:22:50 EDT
Created attachment 767259 [details]
This is a Dump Files

My Virtio Driver is a   virtio-win-0.1-49.iso
my guest is a  Windows 2008 Standard SP2 and dump every day my Antivirus is Symantec Endpoint 12.1

please See my dump files

I think that it is a virtio driver bug 

and host write this 
virtio_ioport_write: unexpected address 0x13 value 0x1
Comment 2 Mike Cao 2013-07-01 03:37:43 EDT
Razmik 
Pls provide following info:
qemu-kvm commandline  via #ps aux|grep qemu-kvm
qemu-kvm virtio-win version

Thanks,
Mike
Comment 3 Razmik 2013-07-01 04:05:43 EDT
root     14389  0.0  0.0 103244   884 pts/3    S+   12:00   0:00 grep qemu-kvm
qemu     24937 28.6 58.1 30527860 28747200 ?   Sl   Jun27 1535:10 /usr/libexec/qemu-kvm -S -M rhel6.3.0 -cpu Westmere,+rdtscp,+pdpe1gb,+dca,+pdcm,+xtpr,+tm2,+est,+smx,+vmx,+ds_cpl,+monitor,+dtes64,+pclmuldq,+pbe,+tm,+ht,+ss,+acpi,+ds,+vme -enable-kvm -m 28672 -smp 10,sockets=10,cores=1,threads=1 -name server2 -uuid fc777dac-c05e-181a-a100-29f7530c4de8 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/server2.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime,driftfix=slew -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=/dev/mapper/mpathcp1,if=none,id=drive-ide0-0-0,format=raw,cache=none,aio=native -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -drive file=/vfs/iso/virtio-win-0.1-49.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev tap,fd=22,id=hostnet0,vhost=on,vhostfd=23 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:3e:46:c6,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -device usb-tablet,id=input0 -vnc 127.0.0.1:0 -vga std -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x4


virtio-win version - virtio-win-0.1-49
Comment 4 Vadim Rozenfeld 2013-07-01 05:42:55 EDT
Looks like completely random crashes to me. How does it work with e1000 instead of netkvm and without balloon? Can you also switch to kernel memory dump option instead of small memory dump? And how does it work when you disable avtivirus?

Thanks,
Vadim.
Comment 5 Razmik 2013-07-01 09:11:04 EDT
Dear Vadim I Don't switch kernel memory dump to small memory dump , and can not disable  Antivirus it is a Terminal Server and 40 users online and i didn't try e1000

Thanks a lot
Comment 6 Razmik 2013-07-01 09:17:17 EDT
Please Help Vadim What can i do in steps ?
Comment 7 Vadim Rozenfeld 2013-07-01 20:50:06 EDT
Hi Razmik,
Next time, when your system is down, please try switching 
to the "Kernel Memory Dump" option http://support.microsoft.com/kb/969028.
Kernel dump provides more information and much better for the crash analysis
and troubleshooting.

Best regards,
Vadim.
Comment 8 Razmik 2013-07-02 04:48:29 EDT
Thanks vadim I will change the small memory dump and write when my system is crash
Comment 9 Mike Cao 2013-07-02 06:06:52 EDT
(In reply to Razmik from comment #8)
> Thanks vadim I will change the small memory dump and write when my system is
> crash

Why can not change dump from minidump to kernel memeory Dump ,Guest will not reboot and users could not be affects
Comment 10 Razmik 2013-07-02 08:05:30 EDT
Dear Mike i Changed Kernel Memory dump to small memory dump(128kb)
Comment 11 Ronen Hod 2013-07-02 08:48:07 EDT
Just to be clear. The "virtio_ioport_write: unexpected address 0x13 value 0x1" is an indication that the NetKVM driver caught this BSOD, so it does not add any new information. This was already removed in the newer versions.
Comment 12 Razmik 2013-07-02 14:44:45 EDT
Dear Ronen how i can  uninstall NetKVM driver completely and install newer version and what version is a good for Server 2008 SP2
Comment 13 Razmik 2013-07-02 14:55:27 EDT
is it the solution of my problem ?
Comment 14 Mike Cao 2013-07-02 21:36:03 EDT
(In reply to Razmik from comment #12)
> Dear Ronen how i can  uninstall NetKVM driver completely and install newer
> version and what version is a good for Server 2008 SP2

Hi, Razmik

Pls generate kernel memory Dump first when guest crash(pls use "zip" instead of "rar"),and let developer to analyze what the root cause is

Thanks,
Mike
Comment 15 Razmik 2013-07-03 04:55:35 EDT
Dear Mike is the C://Windows/Memory.dmp full memory Dump ?
file size 800mb
Comment 16 Mike Cao 2013-07-03 04:58:46 EDT
(In reply to Razmik from comment #15)
> Dear Mike is the C://Windows/Memory.dmp full memory Dump ?
> file size 800mb

Hi, Razmik

it may be full memory dump or kernel memory dump .Can you compress it to zip format and upload it someone for developer to check ?

Thanks,
Mike
Comment 17 Ronen Hod 2013-07-03 06:55:44 EDT
Dear Razmik,

Thank you for taking the time to enter a bug report with us. We appreciate the feedback and look to use reports such as this to guide our efforts at improving our products. That being said, this bug tracking system is not a mechanism for requesting support, and we are not able to  guarantee the timeliness or suitability of a resolution.
 
If this issue is critical or in any way time sensitive, please raise a ticket through your regular Red Hat support channels to make certain  it receives the proper attention and prioritization to assure a timely resolution. 
 
For information on how to contact the Red Hat production support team, please visit:
https://www.redhat.com/support/process/production/#howto

Thanks, Ronen.
Comment 18 Razmik 2013-07-03 07:08:53 EDT
https://docs.google.com/file/d/0B_AZX_h84-lYYjlXUnFWVmxnSFU/edit?usp=sharing

This is a Full Memory Dump
Comment 19 Vadim Rozenfeld 2013-07-03 08:54:01 EDT
(In reply to Razmik from comment #18)
> https://docs.google.com/file/d/0B_AZX_h84-lYYjlXUnFWVmxnSFU/edit?usp=sharing
> 
> This is a Full Memory Dump

Hi Razmik,
The crash, you've got here, (SYSTEM_SERVICE_EXCEPTION) indicates a problem when switching from user mode to kernel. I would suggest checking the host memory first, and then, if memory test did find  any problem, trying to run the guest in safe mode.

Best regards,
Vadim.
Comment 21 Ronen Hod 2013-07-29 06:13:35 EDT
We suspect that the problem is specific to the user's computer.
Closing.

Note You need to log in before you can comment on or make changes to this bug.